System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.MemberDescriptor System.Runtime.InteropServices.ComVisible(true)

An consists of a name, its attributes, the component that the event is bound to, the event delegate, the type of delegate, and whether the delegate is multicast.

provides the following abstract properties and methods:

contains the type of the component this event is declared on.

contains the type of delegate for the event.

contains a value indicating whether the event delegate is a multicast delegate.

binds the event to a component.

unbinds the delegate from the component so that the delegate no longer receives events from the component.

For more information about events, see Raising an Event. For more information about reflection, see the topics in Reflection.

Provides information about an event.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added: an object of type 'MemberDescriptor'
  To be added

  Initializes a new instance of the class with the name and attributes in the specified .

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  This constructor appends the attributes in the array to the attributes in the .

  Initializes a new instance of the class with the name in the specified and the attributes in both the and the array.

  An array with the attributes you want to add to this event description.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.
  To be added

  Initializes a new instance of the class with the specified name and attribute array.

  An array of type that contains the event attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Typically, this method is implemented through reflection. For more information about reflection, see the topics in Reflection.

  For more information about delegates, see Events and Delegates.

  When overridden in a derived class, binds the event to the component.

  A component that provides events to the delegate. A delegate that represents the method that handles the event.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type'

  Typically, this property is implemented through reflection.

  When overridden in a derived class, gets the type of component this event is bound to.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type'

  Typically, this property is implemented through reflection.

  When overridden in a derived class, gets the type of delegate for the event.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  Typically, this property is implemented through reflection.

  A multicast delegate differs from a regular delegate in that it can contain references to more than just one method. Methods in a multicast delegate are executed synchronously when the delegate is invoked, in the order in which they appear. If one of the called methods raises an exception, then the delegate ceases and the exception is propagated to the delegate caller.

  When overridden in a derived class, gets a value indicating whether the event delegate is a multicast delegate.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Typically, this method is implemented through reflection. For more information, see the topics in Reflection.

  For more information about delegates, see Events and Delegates.

  When overridden in a derived class, unbinds the delegate from the component so that the delegate will no longer receive events from the component.

  The component that the delegate is bound to. The delegate to unbind from the component.